MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030617Open CASCADE[OCCT] OCCT:Codingpublic2019-03-28 12:372020-09-05 12:35
Reportertizmaylo 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0030617: Coding - using reinterpret_cast instead of static_cast for downcast
DescriptionThere is a number of places in the OCCT code base where reinterpret_cast is used for downcast instead of simple static_cast. E.g., look at OpenGl_View.cxx:

const OpenGl_Structure* aStruct = reinterpret_cast<const OpenGl_Structure*> (theStructure.operator->());
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0026552newkgv Coding - revise usage of reinterpret_cast<> 

-  Notes
(0093697)
git (administrator)
2020-08-28 15:17

Branch CR30617 has been created by kgv.

SHA-1: dd142f296419c809ae0b8ea295089959ef3222bd


Detailed log of new commits:

Author: kgv
Date: Fri Aug 28 15:18:43 2020 +0300

    0030617: Coding - using reinterpret_cast instead of static_cast for downcast
    
    Several reinterpret_cast have been replaced by static_cast when applicable.
(0093715)
git (administrator)
2020-08-28 18:30

Branch CR30617 has been updated forcibly by kgv.

SHA-1: aa57ad04b816b666c84dc1c931a8b5695366aa8d
(0093735)
kgv (developer)
2020-08-30 19:07

Patch is ready for review
- OCCT branch: CR30617.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30617-master-KGV/ [^]
(0093748)
osa (developer)
2020-08-31 10:03

The patch was reviewed
(0094048)
bugmaster (administrator)
2020-09-05 12:06

Combination -
OCCT branch : IR-2020-09-04
master SHA - a516227511f3452f9f55b79c961265b0bf210793
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-09-04 SHA - 134448d280fb82bfb14ffc6255ac1cb53f7fd1cf
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17319.18000000012 / 17284.370000000214 [+0.20%]
Products
Total CPU difference: 12059.670000000087 / 12007.590000000067 [+0.43%]
Windows-64-VC14:
OCCT
Total CPU difference: 18776.390625 / 18770.796875 [+0.03%]
Products
Total CPU difference: 13251.640625 / 13222.90625 [+0.22%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0094098)
git (administrator)
2020-09-05 12:35

Branch CR30617 has been deleted by inv.

SHA-1: aa57ad04b816b666c84dc1c931a8b5695366aa8d

- Related Changesets
occt: master 7d47ebdb
Timestamp: 2020-08-28 12:18:43
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030617: Coding - using reinterpret_cast instead of static_cast for downcast

Several reinterpret_cast have been replaced by static_cast when applicable.
mod - src/BOPAlgo/BOPAlgo_PaveFiller_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectingVolumeManager.cxx Diff ] File ]
mod - src/TColStd/TColStd_PackedMapOfInteger.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-28 12:37 tizmaylo New Issue
2019-03-28 12:37 tizmaylo Assigned To => kgv
2019-04-30 15:22 kgv Relationship added related to 0026552
2019-07-10 20:59 abv Target Version 7.4.0 => 7.5.0
2020-08-28 15:17 git Note Added: 0093697
2020-08-28 18:30 git Note Added: 0093715
2020-08-30 19:07 kgv Note Added: 0093735
2020-08-30 19:07 kgv Assigned To kgv => osa
2020-08-30 19:07 kgv Status new => resolved
2020-08-30 19:08 kgv Product Version => 7.4.0
2020-08-31 10:03 osa Note Added: 0093748
2020-08-31 10:03 osa Assigned To osa => bugmaster
2020-08-31 10:03 osa Status resolved => reviewed
2020-09-05 12:06 bugmaster Note Added: 0094048
2020-09-05 12:06 bugmaster Status reviewed => tested
2020-09-05 12:15 bugmaster Test case number => Not required
2020-09-05 12:25 bugmaster Changeset attached => occt master 7d47ebdb
2020-09-05 12:25 bugmaster Status tested => verified
2020-09-05 12:25 bugmaster Resolution open => fixed
2020-09-05 12:35 git Note Added: 0094098


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker